/*
 *
 * Written By:   James Begole
 * Date:         March 1997
 * Description:  Class for serializing objects into JSDA messages.
 *
 * $Header: /home/nie/cvsroot/sieve/sieve/crew/ParticipantMessage.java,v 1.1 1997/04/03 07:33:50 begolej Exp $
 *
 * Copyright (c) 1997 James Begole
 * Copyright (c) 1997 Virginia Polytechnic University and State University
 */

package sieve.crew;

/**
 * Class of messages for Nugget controlling messages
 *
 * @version $Id Exp $
 */
public class ParticipantMessage extends Message {

  private static final int startNumber = 2000;
  public static final int CREATE = startNumber + 1;
  public static final int REMOVE = startNumber + 2;
  public static final int MODIFY = startNumber + 3;
  public static final int MOVE = startNumber + 4;

  public ParticipantMessage(int type, Object data) {
    super(type, data);
  }
}
