package sieve.phys.circuit;
import java.awt.*;

public class Nodes extends CircuitComponent {

    Nodes(){
	remove(t2);
    }

    Nodes(Terminal t) {
	t.setCircuitComponent(this);
	remove(t1);
	t1 = t;
	add(t1);
	remove(t2);
        Dimension pref = t1.getPreferredSize();
        setSize(pref.width+2,pref.height+pref.height/2);
        layout();
     }


public void layout() {
        Dimension pref = t1.getPreferredSize();
 /*       t1.setBounds(2, (40 - pref.height)/2, pref.width, pref.height);
        pref = t2.getPreferredSize();
        t2.setBounds(2, (40 - pref.height)/2, pref.width,
            pref.height);
        setSize(t1.getPreferredSize());
 */
        t1.setBounds(2,pref.height/2, pref.width, pref.height);
        pref = t2.getPreferredSize();
        t2.setBounds(2,  pref.height/2, pref.width,
            pref.height);
   }
 public boolean contains(int x, int y) {
        Rectangle t1Bounds = t1.getBounds();
         return (x >= t1Bounds.x) && (x <= t1Bounds.x + t1Bounds.width ) &&
            (y >= t1Bounds.y -t1Bounds.width/2) && (y <= t1Bounds.y + t1Bounds.height/2);
       
       /*
        Rectangle t1Bounds = t1.getBounds();
         return (x >= t1Bounds.x-7) && (x <= t1Bounds.x + t1Bounds.width +7) &&
            (y >= t1Bounds.y-7) && (y <= t1Bounds.y + t1Bounds.height+7);
       */
       }

public void paint(Graphics g) {
        Rectangle t1Bounds = t1.getBounds();
        Rectangle t2Bounds = t2.getBounds();
        if (selected)
            g.setColor(Color.red);
        else
            g.setColor(Color.black);
        g.fillRect(t1Bounds.x, t1Bounds.y, t1Bounds.width, t1Bounds.height);
        //g.fillRect(t2Bounds.x, t2Bounds.y, t2Bounds.width, t2Bounds.height);
        g.drawRect(t2Bounds.x, t2Bounds.y-t2Bounds.height/2
              , t2Bounds.width, t2Bounds.height/2);
        /*
           g.drawRect(t2Bounds.x-7, t2Bounds.y-7, t2Bounds.width+7, t2Bounds.height+7);
        */

}

public Terminal getTerminal() {
   Terminal terminals = t1;
   return terminals;
}
}
