package sieve.quarry;


public class LinkThread extends Thread {
    private BeanBox beanBox = null;
  private Link link = null;
  private Object source = null;

    public LinkThread(BeanBox beanBox, Link link, Object source) {
      this.beanBox = beanBox;
      this.link = link;
      this.source = source;
      start();
    }

    public LinkThread(BeanBox beanBox) {
        this.beanBox = beanBox;
        start();
    }

    public void run() {
      if ((link == null) || (source == null)) {
        beanBox.doLink();
      } else {
	beanBox.doLink(link, source);
      }
    }

}

