package sieve.sluice.codebook;

import java.io.*;
import java.util.*;
import sieve.sluice.*;
       
/** 
 * A test class for the CodeBookTable class
 * Jeff Nielsen, July 1997
 */
public class Test {
    public static void main(String[] args) throws IOException {
	if (args.length < 1) {
	    System.out.println("USAGE: java Test <codebook_URL>");
	    return;
	}
        // Test public methods--not complete yet
        try {
            CodeBookTable cbt = CodeBookTable.getTable(args[0]);
	    
            System.out.println("Table contains "+cbt.getRecordCount()+
		" records");
            System.out.println("\nFields are:");
            String[] fldNames = cbt.getFieldNames();
            for (int i = 0; i < fldNames.length; i++) {
                String fld = fldNames[i];
		FieldDescriptor fd = cbt.getFieldDescriptor(fld);
		System.out.println(fld + ": type=" + fd.getType() +
		    ", level=" + fd.getLevel() + ", description=" +
		    fd.getDescription());
            }

            while (true) {
                System.out.println(
		    "\nWhat field do you wish to get from the table?");
                DataInputStream din = new DataInputStream(System.in);
                String param1 = din.readLine().toUpperCase();
                int intparam1, intparam2;

		    Object[] elems = cbt.get(param1);
                for (int i = 0; i < elems.length; i++)
                    System.out.print(elems[i] + ", ");
            }
        }
        catch (Exception e) { e.printStackTrace(); }
    }
}
