package sieve.sluice.codebook;


/**
 * A Variable object stores all the information we 
 * need about a particular field
 */
class Variable extends sieve.sluice.FieldDescriptor {


    Variable(String name) { super(name); }
    
    Variable(String name, String type, String description) {
        super(name);
        this.description = description;
        this.type = type;
    }

    Variable(String name, String type) { this(name, type, null); }

    public void addValLabel(Number code, String meaning) {
        if (labels == null) labels = new java.util.Hashtable();
        labels.put(code, meaning);
    }
    
    public void addAttr(String name, String value) {
        if (attributes == null) attributes = new java.util.Hashtable();
        attributes.put(name, value);
    }
}

