package sieve.sluice.views.predicates;

import java.util.*;

public class NumberPredicates extends ObjectPredicates {

    public boolean isLessThan(Object first, Object second) {
	return ((Number)(first)).doubleValue() < 
	    ((Number)(second)).doubleValue();
    }

    public boolean isLessThanOrEqualTo(Object first, Object second) {
	return ((Number)(first)).doubleValue() <= 
	    ((Number)(second)).doubleValue();
    }

    public boolean isGreaterThan(Object first, Object second) {
	return ((Number)(first)).doubleValue() >
	    ((Number)(second)).doubleValue();
    }

    public boolean isGreaterThanOrEqualTo(Object first, Object second) {
	return ((Number)(first)).doubleValue() >= 
	    ((Number)(second)).doubleValue();
    }

}

