package sieve.sluice.views.predicates;

import java.lang.reflect.Method;

public class UnaryPredicate extends Predicate {

    public UnaryPredicate (Class aClass, String name) throws
        NoSuchMethodException {
	super(aClass, name); 
    }

    protected UnaryPredicate(Class aClass, Method predicateMethod) {
        super(aClass, predicateMethod);
    }

    public boolean execute(Object arg) {
	Boolean result = new Boolean(false);
	try {
            Object[] args = {arg};
            result = (Boolean)(predicateMethod.invoke(predicatesObject, args));
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        return result.booleanValue();
    }

}

