package sieve.whiteboard;

import java.beans.*;
import java.awt.*;

public class PostItNoteBeanInfo extends SimpleBeanInfo {

    public BeanDescriptor getBeanDescriptor() {
	BeanDescriptor bd = new BeanDescriptor(PostItNote.class);
	bd.setDisplayName("Note");
	return bd;
    }

    public PropertyDescriptor[] getPropertyDescriptors() {
	PropertyDescriptor[] myProps = new PropertyDescriptor[3];
	try {
	    myProps[0] = new PropertyDescriptor("background", PostItNote.class);
	    myProps[1] = new PropertyDescriptor("foreground", PostItNote.class);
	    myProps[2] = new PropertyDescriptor("font", PostItNote.class);
	}
	catch(Exception e) {
	    e.printStackTrace();
	}
	return myProps;
    }
}

