
// Support for PropertyEditors that use tags.

package sieve.workbench;

import java.awt.*;
import java.beans.*;

class PropertySelector extends Choice {

    PropertySelector(PropertyEditor pe) {
	editor = pe;
	String tags[] = editor.getTags();
	for (int i = 0; i < tags.length; i++) {
	    addItem(tags[i]);
	}
	select(editor.getAsText());
    }

    public boolean action(Event e, Object arg) {
	String s = getSelectedItem();
	editor.setAsText(s);
	return (false);
    }

    public void repaint() {
	select(editor.getAsText());
    }

    PropertyEditor editor;    
}
