package sieve.workbench;

import java.awt.*;
import java.awt.event.*;

/**
 * SimpleTool is a noop implementation of the Tool interface, analogous
 * to the MouseAdapter and MouseMotionAdapter classes.
 */
public abstract class SimpleTool implements Tool {

    public abstract void init(Workbench wb, Class cl);

    public void mouseClicked(MouseEvent e) { }

    public void mousePressed(MouseEvent e) { }
    public void mouseReleased(MouseEvent e) { }
    public void mouseEntered(MouseEvent e) { }
    public void mouseExited(MouseEvent e) { }
    public void mouseMoved(MouseEvent e) { }
    public void mouseDragged(MouseEvent e) { }

    public Cursor getPreferredCursor() {
	return null;
    }

}



