package sieve.workbench;


/**
 * WorkbenchComponentEditor objects handle requests to present an editor
 * for a WorkbenchComponent. These implementations should use the Beans
 * introspection/customizer mechanism.
 */
public interface WorkbenchComponentEditor {
    /**
     * Sets the object to be edited. If null, the editor should 
     * hide itself, disable itself, or otherwise indicate that no
     * object is being edited.
     */
    public void setTarget(WorkbenchComponent wbc);
}

