
  public NuggetControl(Session session, BeanBox beanBox) {
    name = "ControlChannelConsumer"+System.currentTimeMillis();

    this.beanBox = beanBox;
    try {
      session.join(this);
      debug("joined session "+session);
      session.createChannel(ChannelName, true);
      debug("Channel successfully created");
    } catch (Exception sdex) {
      // this channel may already exist.  If so, great.
      if (sdex instanceof SharedDataException){
	if (((SharedDataException)sdex).getType() 
	    != SharedDataException.CHANNEL_EXISTS){
	  sdex.printStackTrace();
	}
      }
    }
    try {
      debug("Joining Control Channel"); 
      // create controlChannel
      channel = Channel.join(session, ChannelName, this);
      debug("channel successfully joined.");
    } catch (SharedDataException sdex) {
      System.out.println("Error joining channel: "+sdex);
      sdex.printStackTrace();
    }
    debug("end of shared data initilization.");
  
    try {
      channel.setConsumer(this, this);
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
 
