/*
 *
 * Written By:   James Begole
 * Date:         March 1997
 * Description:  Class for serializing objects into JSDA messages.
 *
 * $Header: /home/nie/cvsroot/sieve/sieve/crew/NuggetMessage.java,v 1.2 1997/07/30 14:21:58 cyang Exp $
 *
 * Copyright (c) 1997 James Begole
 * Copyright (c) 1997 Virginia Polytechnic University and State University
 */

package sieve.crew;

/**
 * Class of messages for Nugget controlling messages
 *
 * @version $Id Exp $
 */
public class NuggetMessage extends Message {

  private static final int startNumber = 1000;
  public static final int CREATE = startNumber + 1;
  public static final int REMOVE = startNumber + 2;
  public static final int MODIFY = startNumber + 3;
  public static final int MOVE = startNumber + 4;
  public static final int LINK_CREATE = startNumber + 5;
  public static final int LINK_REMOVE = startNumber + 6;
  public static final int REQUEST = startNumber + 7;
 	
  public NuggetMessage(int type, Object data) {
    super(type, data);
  }
}




