/*
 *
 * Written By:   James Bo Begole
 * Date:         Feb 20, 1997
 * Description:  Class for serializing objects into JSDA messages.
 *
 * $Header: /home/nie/cvsroot/prototype/vt/cs/virtSchool/client/RoomView.java,v
1.4 1997/01/07 20:52:58 begolej Exp $
 *
 * Copyright (c) 1996 James Begole
 * Copyright (c) 1996 Virginia Polytechnic University and State University
 */

package sieve.phys.bnp2;


import vt.cs.virtSchool.server.Message;
/**
 * Class for serializing objects into JSDA messages.
 *
 * @version $Id Exp $
 */

public class BnPMessage extends vt.cs.virtSchool.server.Message {

  private static final int startNumber = 4000;
  public static final int RUN = startNumber + 1;
  public static final int PAUSE = startNumber + 2;
  public static final int RESET = startNumber + 3;

  public BnPMessage(int type, Object data) {
    super(type, data);
  }
}
