package sieve.phys.circuit;
import java.awt.*;

public class Battery extends CircuitComponent {
	private int Voltage;
        private int BatteryDirection;
        private double Amps;


Battery(int initVoltage, int SetID){
	ComponentID = SetID;
        Voltage = initVoltage;
}

Battery(){
      	ComponentID = -1;
 	Voltage = 5;
        BatteryDirection = 0;
}

public void setAmps(int Amp){
        Amps = Amp;
}

public int batteryDirection(){
   	return BatteryDirection;
}

public void SetBatteryDirection(Integer positiveDirection){
	BatteryDirection = positiveDirection.intValue();
}

public int GetValue(){
	return Voltage;
}

public void paint(Graphics g) {
        Rectangle t1Bounds = t1.getBounds();
        Rectangle t2Bounds = t2.getBounds();
        if (selected || red)
            g.setColor(Color.red);
        else
            g.setColor(Color.black);
        int y = t1Bounds.y + t1Bounds.height/2;

 	int x = t1Bounds.x;
	int w = t2Bounds.x-t1Bounds.x;	
	int h=20;

	int pt1, pt2, pt3, pt4, pt5, pt6, pt7, pt8, pt9;
        if (Orientation)
        {
          pt1=x+w/3;
          pt4 =x+w*2/3;
          pt2 =pt1+(pt4-pt1)/3;
          pt3 =pt1+(pt4-pt1)*2/3;
 
         g.drawLine(x, y, pt1, y);
         g.drawLine(pt1, y +h/2, pt1, y-h/2);
         g.drawLine(pt2, y +h/4, pt2, y-h/4);
         g.drawLine(pt3, y +h/2, pt3, y-h/2);
         g.drawLine(pt4, y +h/4, pt4, y-h/4);
         g.drawLine(pt4, y, x+w, y);

	// Temporarily adding these back in. Feel free to remove them...
        g.fillRect(t1Bounds.x, t1Bounds.y, t1Bounds.width, t1Bounds.height);
        g.fillRect(t2Bounds.x, t2Bounds.y, t2Bounds.width, t2Bounds.height);
        }
       else
       { 
          x=t1Bounds.x+t1Bounds.width/2;
          w=20;
          y=t1Bounds.y;
          h=t2Bounds.y-t1Bounds.y;

          pt1=y+h/3;
          pt4 =y+h*2/3;
          pt2 =pt1+(pt4-pt1)/3;
          pt3 =pt1+(pt4-pt1)*2/3;
 
         g.drawLine(x, y, x, pt1);
         g.drawLine( x +w/2,pt1, x-w/2, pt1);
         g.drawLine(x +w/4, pt2, x-w/4,pt2);
         g.drawLine(x +w/2, pt3, x-w/2, pt3);
         g.drawLine(x +w/4, pt4,  x-w/4,pt4);
         g.drawLine(x, pt4, x,y+h);
        g.fillRect(t1Bounds.x, t1Bounds.y, t1Bounds.width, t1Bounds.height);
        g.fillRect(t2Bounds.x, t2Bounds.y, t2Bounds.width, t2Bounds.height);
 
        }
 }

    public void setVoltage(int voltage) {
	this.Voltage = voltage;
    }
    public int getVoltage() {
	return Voltage;
    }

    public int getNode1(){
       return node1;
    }
    public void setNode1(int setnull){}
 
    public int getNode2(){
       return node2;
    }
    public void setNode2(int setnull){}
    public int getDirection(){
       return direction;
    }
    public void setDirection(int dirNull){}
}

