package sieve.phys.circuit;
import java.util.*;

public class NodeNumbers {
    private static final int INCREMENT = 100;
    private static int capacity = 0;
    private static Vector freeNodes = new Vector(INCREMENT);

    public static Integer getValue() {
	// If our list is empty, put another INCREMENT elements on it.
	if (freeNodes.isEmpty()) {
	    for (int i = 1; i < INCREMENT; i++)
	        freeNodes.addElement(new Integer(capacity + i));
	    capacity += INCREMENT;
	}
        Integer value = (Integer)freeNodes.firstElement();
	freeNodes.removeElementAt(0);
	return value;
    }
 
    public static void returnValue(Integer oldNode){
	freeNodes.addElement(oldNode);
    }

}
           
