package sieve.phys.circuit;

import sieve.workbench.*;

public class PaletteTool extends DefaultTool {
    String file = null;

    public PaletteTool(Workbench wb, Class cl, String file) {
	super(wb, cl);
	this.file = file;
    }

    protected WorkbenchComponent getWorkbenchComponent(Workbench wb,
        Class cl) {
        try {
          return new DefaultWrapper(wb, new Palette(file));
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }
        return null;
    }


}

