package sieve.phys.circuit;

import java.awt.*;
import java.applet.*;
import java.util.*;

public class smallapp extends Applet {
 
  Label     lbl_player1;
  TextField txt_player1;
  Label     lbl_playmode1;
  Choice    Xposit; 
  Choice    NodeName;

  Overlord Circuit;

  CircuitComponent NextComponent;

  int CID;

  static char AName;
  static char BName;
  static char CName;
  static char DName;
  static char EName;
    
  Button    btn_start;  

  public void init() 
  {
    super.init();
    setLayout(null);
    addNotify();
    resize(468,330);
    setBackground(new Color(180,180,180));
  
    Circuit = new Overlord(); 

    CID = 0;

    NodeName = new Choice();
    NodeName.addItem("Node 1");
    NodeName.addItem("Node 2");
    NodeName.addItem("Node 3");
    NodeName.addItem("Node 4");
    NodeName.addItem("Node 5");
    NodeName.addItem("Node 6");
    NodeName.addItem("Node 7");
    NodeName.addItem("Node 8");


    
    lbl_player1 = new Label("Weight of Edge (int)",Label.RIGHT);
    lbl_player1.reshape(24,36,144,22);
    add(lbl_player1);
 
    txt_player1 = new TextField();
    txt_player1.reshape(180,24,228,34);
    add(txt_player1);

    Xposit = new Choice();
    Xposit.addItem("Node 1");
    Xposit.addItem("Node 2");
    Xposit.addItem("Node 3");
    Xposit.addItem("Node 4");
    Xposit.addItem("Node 5");
    Xposit.addItem("Node 6");
    Xposit.addItem("Node 7");
    Xposit.addItem("Node 8");    

    btn_start = new Button("Add Nodes");
    btn_start.reshape(230,250,156,25);
    add(btn_start);

    btn_start = new Button("Search for Loops");
    btn_start.reshape(70,250,156,25);
    add(btn_start);

    btn_start = new Button("Add Battery");
    btn_start.reshape(230, 200, 156, 25);
    add(btn_start);
  
    btn_start = new Button("Add resistor");
    btn_start.reshape(70, 200, 156, 25);
    add(btn_start);

    btn_start = new Button("Remove Nodes");
    btn_start.reshape(70, 300, 156, 25);
    add(btn_start);
 
    add(Xposit);
    Xposit.reshape(156,150, 156, 25);

    add(NodeName);
    NodeName.reshape(156, 100, 170, 25);
    


  }

public boolean handleEvent(Event evt)
  {
    if (evt.id==Event.WINDOW_DESTROY) 
    { 
      hide();
      destroy();
      return true;
    }
    return super.handleEvent(evt);
  }

public boolean action(Event evt, Object obj)
  {
    String SelectedNode = "";
    String SelectedNode2 = "";
    Integer xposition, yposition;

    if (obj.equals("Add Nodes"))
    {
      SelectedNode = Xposit.getSelectedItem();
      SelectedNode2 = NodeName.getSelectedItem();

      xposition = new Integer((SelectedNode2.charAt(5)-48));
      yposition = new Integer((SelectedNode.charAt(5)-48)); 
    
      Circuit.addNodes(xposition, yposition);
    }
    if(obj.equals("Search for Loops")){
      Circuit.findLoops();
    }
    if(obj.equals("Remove Nodes")){
      SelectedNode = Xposit.getSelectedItem();
      SelectedNode2 = NodeName.getSelectedItem();

      xposition = new Integer((SelectedNode2.charAt(5)-48));
      yposition = new Integer((SelectedNode.charAt(5)-48));

      Circuit.removeNodes(xposition, yposition);
   }
    if(obj.equals("Add Battery")){
       Integer batteryValue;
       SelectedNode = Xposit.getSelectedItem();
       SelectedNode2 = NodeName.getSelectedItem();

       xposition = new Integer((SelectedNode2.charAt(5)-48));
       yposition = new Integer((SelectedNode.charAt(5)-48));

       String temp = "";
       temp = txt_player1.getText();
       batteryValue = new Integer(temp);
       Battery BatteryComponent = new Battery(batteryValue.intValue(), CID++);
//       BatteryComponent.SetBatteryDirection(xposition);

       //battery direction is the value of xposition

       Circuit.addComponent(BatteryComponent, xposition, yposition);
    }

    if(obj.equals("Add resistor")){
       Integer resistorValue;
       SelectedNode = Xposit.getSelectedItem();
       SelectedNode2 = NodeName.getSelectedItem();

       xposition = new Integer((SelectedNode2.charAt(5)-48));
       yposition = new Integer((SelectedNode.charAt(5)-48));

       String temp = "";
       temp = txt_player1.getText();
       resistorValue = new Integer(temp);
       NextComponent = new Resistor(resistorValue.intValue(), CID++);

       Circuit.addComponent(NextComponent, xposition, yposition);
    }

    return super.action(evt,obj);
}

}
