package sieve.sluice.event;

import sieve.sluice.*;

// It might be better if this just sent int's indicating which records
// were appended. Sending the records themselves is dangerous, as
// downstream modules may have had some of the fields filtered out, or
// may see the fields in a different order.
public class AppendEvent extends TableViewEvent {
  private Object[][] records = null;

  public AppendEvent(TableView source, Object[][] records) {
    super(source);
    this.records = records;
  }

  public Object[][] getAppendedRecords() {
    return records;
  }

}

