package sieve.sluice.views.predicates;

import java.util.*;

public class StringPredicates extends ObjectPredicates {

    public boolean isEqualToIgnoringCase(Object first, Object second) {
	return ((String)first).equalsIgnoreCase((String)second);
    }

    public boolean isLexicographicallyBefore(Object first, Object second) {
	return (((String)first).compareTo((String)second) < 0);
    }

    public boolean isLexicographicallyAfter(Object first, Object second) {
	return (((String)first).compareTo((String)second) > 0);
    }

    public boolean endsWith(Object first, Object second) {
	return ((String)first).endsWith((String)second);
    }

    public boolean startsWith(Object first, Object second) {
	return ((String)first).startsWith((String)second);
    }

    public boolean contains(Object first, Object second) {
	return ((String)first).indexOf((String)second) > -1;
    }

    public boolean containsIgnoringCase(Object first, Object second) {
	return (((String)first).toLowerCase()).indexOf(((String)second).toLowerCase()) > -1;
    }

}


