package sieve.sluice.views.tests;

import java.util.*;

public class StringTest extends ObjectTest {

    public boolean getEqualsIgnoringCase() {
	return ((String)first).equalsIgnoreCase((String)second);
    }

    public boolean getLexicographicallyBefore() {
	return (((String)first).compareTo((String)second) < 0);
    }

    public boolean getLexicographicallyAfter() {
	return (((String)first).compareTo((String)second) > 0);
    }

    public boolean getEndsWith() {
	return ((String)first).endsWith((String)second);
    }

    public boolean getStartsWith() {
	return ((String)first).startsWith((String)second);
    }

    public boolean getContains() {
	return ((String)first).indexOf((String)second) > -1;
    }

    public boolean getContainsIgnoringCase() {
	return (((String)first).toLowerCase()).indexOf(((String)second).toLowerCase()) > -1;
    }

}


