package sieve.whiteboard;


public class HorizontalAlignment {
    public static final int ALIGN_LEFT = 0;
    public static final int ALIGN_CENTER = 1;
    public static final int ALIGN_RIGHT = 2;

    int alignment = ALIGN_LEFT;

    public HorizontalAlignment() {
        alignment = ALIGN_LEFT;
    }
    public HorizontalAlignment(int alignment) {
        this.alignment = alignment;
    }

    public boolean isRight() {
	return (alignment == ALIGN_RIGHT);
    }
    public boolean isCenter() {
	return (alignment == ALIGN_CENTER);
    }
    public boolean isLeft() {
	return (alignment == ALIGN_LEFT);
    }
}


