package sieve.whiteboard;

import java.beans.*;
import java.awt.*;

/**
 * This class provides info about which properties of the Line class
 * should be made editable.
 */
public class LineBeanInfo extends SimpleBeanInfo {

    public BeanDescriptor getBeanDescriptor() {
        BeanDescriptor bd = new BeanDescriptor(Line.class);
        bd.setDisplayName("Line");
        return bd;
    }

    public PropertyDescriptor[] getPropertyDescriptors() {
        PropertyDescriptor[] myProps = new PropertyDescriptor[1];
        try {
            myProps[0] = new PropertyDescriptor("color", Line.class);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        return myProps;
    }

}

