package sieve.whiteboard;


public class VerticalAlignment {
    public static final int ALIGN_TOP = 0;
    public static final int ALIGN_CENTER = 1;
    public static final int ALIGN_BOTTOM = 2;

    int alignment = ALIGN_TOP;

    public VerticalAlignment() {
        alignment = ALIGN_TOP;
    }
    public VerticalAlignment(int alignment) {
        this.alignment = alignment;
    }

    public boolean isBottom() {
	return (alignment == ALIGN_BOTTOM);
    }
    public boolean isCenter() {
	return (alignment == ALIGN_CENTER);
    }
    public boolean isTop() {
	return (alignment == ALIGN_TOP);
    }
}


