package sieve.workbench.collab.msg;

import sieve.workbench.UniqueID;
import sieve.workbench.collab.WorkbenchController;
import java.awt.Rectangle;
import java.io.Serializable;

public class BoundsMessage extends Message implements Serializable {
    private UniqueID id = null;
    private Rectangle bounds = null;

    public BoundsMessage(UniqueID objID, Rectangle bounds) {
	this.id = objID;
	this.bounds = bounds;
    }

    public void deliver(WorkbenchController controller) {
	controller.doSetBounds(id, bounds);
    }
}

